// Copyright (C) 2008 - INRIA
// Copyright (C) 2009-2011 - DIGITEO
// Copyright (C) - lucien.povy@free.fr. Carantec 2014-2017.
// This file must be used under the terms of the GNU GPL v2.0 licence.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// https://www.gnu.org/licenses/licenses.en.html
mode(-1);
lines(0);
function main_builder()

  TOOLBOX_NAME  = "Autoelem";
  TOOLBOX_TITLE = "Autoelem Toolbox";
  toolbox_dir   = get_absolute_file_path("builder.sce");
//
// Check Scilab's version
// =============================================================================
  
  try
        v = getversion("scilab");
  catch
        error(gettext("Scilab 5.3 or more is required."));
  end

    if v(1) < 5 & v(2) < 4 then
        // new API in scilab 5.3
        error(gettext("Scilab 5.3 or more is required."));
    end

// Check modules_manager module availability
// =============================================================================

  if ~isdef("tbx_build_loader") then
    error(msprintf(gettext("%s module not installed."), "modules_manager"));
  end

// Action
// =============================================================================

  tbx_builder_macros(toolbox_dir);
  tbx_builder_help(toolbox_dir);
//tbx_build_localization(TOOLBOX_NAME, toolbox_dir);
  tbx_build_loader(toolbox_dir);
  tbx_build_cleaner(toolbox_dir);

endfunction
// =============================================================================
main_builder();
clear main_builder; // remove main_builder on stack
// =============================================================================
