mode(-1)
// Copyright (C) - lucien.povy@free.fr. Carantec 2014-2017.
// This file must be used under the terms of the GNU GPL v2.0 licence.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// https://www.gnu.org/licenses/licenses.en.html
// ====================================================================
mode(4)
//
//LES APPROXIMANTS
//
s=%s;z=%z;
//
//LE SYSTEME CONTINU.
//
sl=syslin("c",1/(1+s+s*s))//le continu
halt();
//
//PERIODE D'ECHANTILLONNAGE.
//
Tsam=.5
halt();
//
//L'APPROXIMANT HOMOGRAPHIQUE OU DE TUSTIN.
//
sltustin=horner(sl,(2/Tsam)*((z-1)/(z+1)))
sltustin.dt=Tsam;//approx Tustin
halt();
//
//L'APPROXIMATION D'EULER PROGRESSIVE.
//
sleulp=horner(sl,(1/Tsam)*(z-1))
sleulp.dt=Tsam;//Euler progressive.
halt();
//
//L'APPROXIMATION D'EULER RETROGRADE.
//
sleulr=horner(sl,(1/Tsam)*((z-1)/z))
sleulr.dt=Tsam;//Euler rétrograde.
halt();
//
//L'APPROXIMATION BLOQUEUR ORDRE ZERO.
//
slboz=ss2tf(dscr(sl,Tsam))//Bloqueur d'ordre zéro.
halt();
//
//LES REPONSES TEMPORELLES.
//
//LE SYSTEME CONTINU
//
u=0:.5:10;//Le pas = Tsam.
repc=csim("step",u,sl);//Réponse système continu.
//
//LES REPONSES DES SYSTEMES ECHANTILLONNES.
//
reptustin=flts(ones(u),sltustin);
repboz=flts(ones(u),slboz);
repeulp=flts(ones(u),sleulp);
repeulr=flts(ones(u),sleulr);
//
//LES TRACES des réponses en interpolant, attention!
//
//les réponses échantillonnées sont interpolées sur la première figure.
plot2d(u',[repc',repboz',reptustin',repeulp',repeulr'],..
style=[1,5,6,4,2],leg="repc@repboz@reptustin@repeulp@repeulr")
xgrid(13);
halt();
//
//COMPARAISON des réponses temporelles du système continu et du discrétisé avec B.O.Z.
//Dans l'exemple précédent elles sont confondues : interpolation.
//
u1=0:.25:10;// On change le pas de calcul pour le continu.
repc1=csim("step",u1,sl);
figure(1);
plot(u1,repc1,"r",u,repboz,"b")
e=gce();
e.children(1).polyline_style=2;//On garde constant entre deux échantillonnages.
xtitle("Réponses à un échelon unitaire");
legend(["continu";"échantillonné bloqué"]);
xgrid(13);
halt();
//


