// Copyright (C) - lucien.povy@free.fr. Carantec 2014-2016.
// This file must be used under the terms of the GNU GPL v2.0 licence.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// https://www.gnu.org/licenses/licenses.en.html
// ====================================================================
//We compute the product of a polynomial matrix H1(s) (size m,n) and iodelay system H2 (size m,n).
// ====================================================================  
function H = %p_x_rd(H1,H2)
if or(size(H1) <> size(H2)) then
  error(msprintf(_("%s: Incompatible input arguments #%d and #%d: Same sizes expected.\n"),"%p_x_rd",1,2))
end
D2 = H2.iodelay;
H = mlist(["rd","H","iodelay"],H1.*H2.H,D2)
endfunction
