// Copyright (C) - lucien.povy@free.fr. Carantec 2014-2016.
// This file must be used under the terms of the GNU GPL v2.0 licence.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// https://www.gnu.org/licenses/licenses.en.html
// ====================================================================
// We compute the product of a iodelay matrix H1(s) (size m,n) and polynomial matrix H2 (size m,n).
// ====================================================================  
function H = %rd_x_p(H1,H2)
if or(size(H1) <> size(H2)) then
  error(msprintf(_("%s: Incompatible input arguments #%d and #%d: Same sizes expected.\n"),"%rd_x_p",1,2))
end
D1 = H1.iodelay;
H = mlist(["rd","H","iodelay"],H1.H.*H2,D1);
endfunction
